

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/fs.h |   20 +++++++++++++++-----
 1 files changed, 15 insertions(+), 5 deletions(-)

diff -puN include/linux/fs.h~blockdev-fixes-race-between-mount-umount-tidy include/linux/fs.h
--- 25/include/linux/fs.h~blockdev-fixes-race-between-mount-umount-tidy	Sun Mar  6 16:18:00 2005
+++ 25-akpm/include/linux/fs.h	Sun Mar  6 16:18:00 2005
@@ -1291,7 +1291,9 @@ extern int blkdev_get(struct block_devic
 extern int blkdev_put(struct block_device *);
 extern int bd_claim(struct block_device *, void *);
 extern void __bd_release(struct block_device *, int);
-static inline void bd_release(struct block_device *bdev) {
+
+static inline void bd_release(struct block_device *bdev)
+{
 	__bd_release (bdev, bdev->bd_block_size);
 }
 
@@ -1311,7 +1313,9 @@ extern const char *bdevname(struct block
 extern struct block_device *lookup_bdev(const char *);
 extern struct block_device *open_bdev_excl(const char *, int, void *);
 extern void __close_bdev_excl(struct block_device *, int);
-static inline void close_bdev_excl(struct block_device *bdev) {
+
+static inline void close_bdev_excl(struct block_device *bdev)
+{
 	__close_bdev_excl(bdev, bdev->bd_block_size);
 }
 
@@ -1443,7 +1447,9 @@ extern struct semaphore iprune_sem;
 
 extern void __insert_inode_hash(struct inode *, unsigned long hashval);
 extern void remove_inode_hash(struct inode *);
-static inline void insert_inode_hash(struct inode *inode) {
+
+static inline void insert_inode_hash(struct inode *inode)
+{
 	__insert_inode_hash(inode, inode->i_ino);
 }
 
@@ -1454,10 +1460,14 @@ struct bio;
 extern void submit_bio(int, struct bio *);
 extern int bdev_read_only(struct block_device *);
 extern int __set_blocksize(struct block_device *, int, int);
-static inline int set_blocksize(struct block_device *bdev, int size) {
+
+static inline int set_blocksize(struct block_device *bdev, int size)
+{
 	return __set_blocksize (bdev, size, 1);
 }
-static inline int set_blocksize_nosync(struct block_device *bdev, int size) {
+
+static inline int set_blocksize_nosync(struct block_device *bdev, int size)
+{
 	return __set_blocksize (bdev, size, 0);
 }
 
_
